
Foreman - Bug #2262

test_it_should_return_puppetclasses failure on PostgreSQL

02/27/2013 03:42 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Tests   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Failed assertion, no message given. (test_it_should_return_puppetclasses)

/var/lib/workspace/workspace/test_develop_matrix/database/postgresql/label/el/puppet/3.0/ruby/1.9.

3/test/unit/classification_test.rb:11    

http://ci.theforeman.org/job/test_develop_matrix/database=postgresql,label=el,puppet=3.0,ruby=1.9.

3/lastCompletedBuild/testReport/%28root%29/ClassificationTest/test_it_should_return_puppetclasses/

postgresql:

[9] pry(#<Classification>)> EnvironmentClass.where(:environment_id => hosts(:one).environment_id, 

:puppetclass_id => [980190962]).pluck('DISTINCT puppetclass_id')

=> ["980190962"]

sqlite:

[5] pry(#<ClassificationTest>)> EnvironmentClass.where(:environment_id => hosts(:one).environment_

id, :puppetclass_id => [980190962]).pluck('DISTINCT puppetclass_id')

=> [980190962]

Associated revisions

Revision 14a61af4 - 02/28/2013 05:17 PM - Dominic Cleal

fixes #2262 - handle strings from PostgreSQL

History

#1 - 02/27/2013 03:46 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/436

#2 - 02/28/2013 05:18 PM - Ohad Levy

- Target version set to 1.2.0

#3 - 02/28/2013 06:21 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 14a61af4510072c0eca7d88e557fab3406a9bc0b.
